import ibhua

def Monitor_var_Int16_always(var):
    myVar=var//10
    ibhua.OPCWriteVar("ns=4;s=IBH Link UA.CPU 1500.Programs.DataIn.ValueIn",myVar)
    return

#InData : Float
InData_ns1_6000 = 0.0
def Read_InData_ns1_6000():
    InData_ns1_6000=98765.4
    return InData_ns1_6000

def Write_InData_ns1_6000(value):
    global InData_ns1_6000
    InData_ns1_6000 = value
    return

#CounterVar : Int16
CounterVar_ns1_6001 = 0
def Read_CounterVar_ns1_6001():
    CounterVar_ns1_6001=ibhua.OPCReadVar("ns=4;s=IBH Link UA.CPU 1500.Programs.CounterValues.MaxValue")
    return CounterVar_ns1_6001

def Write_CounterVar_ns1_6001(value):
    global CounterVar_ns1_6001
    CounterVar_ns1_6001 = value
    return

#OutRes : Float
OutRes_ns1_6002 = 0.0
def Read_OutRes_ns1_6002():
    return OutRes_ns1_6002

def Write_OutRes_ns1_6002(value):
    global OutRes_ns1_6002
    ibhua.OPCWriteVar("ns=4;s=IBH Link UA.CPU 1500.Programs.DataIn.RealData",value)
    return

#InVar : Int16
InVar_ns1_6003 = 0
def Read_InVar_ns1_6003():
    x=20
    y=25
    z=500
    InVar_ns1_6003=x+y+z
    return InVar_ns1_6003

def Write_InVar_ns1_6003(value):
    global InVar_ns1_6003
    InVar_ns1_6003 = value
    return

#In    Value1 : Float, Value2 : Float
#Out   Result : Float
def UserMethod_ns1_7004(Value1, Value2):
    Result=Value1+Value2
    return Result

def init_opc():
    ns1 = ibhua.get_namespace("http://example.com")
    ibhua.variable(ns1,6000,"Read_InData_ns1_6000","Write_InData_ns1_6000")             #Float
    ibhua.variable(ns1,6001,"Read_CounterVar_ns1_6001","Write_CounterVar_ns1_6001")     #Int16
    ibhua.variable(ns1,6002,"Read_OutRes_ns1_6002","Write_OutRes_ns1_6002")             #Float
    ibhua.variable(ns1,6003,"Read_InVar_ns1_6003","Write_InVar_ns1_6003")               #Int16
    ibhua.method(ns1,7004,"UserMethod_ns1_7004")
    ibhua.monitor("ns=4;s=IBH Link UA.CPU 1500.Programs.CounterValues.ValueCounter","Monitor_var_Int16_always",1000,0,0)
    return
